<template lang="pug">
  div(v-if="!selected").row.q-pa-xl.items-center
    div.column.flex-1.q-pr-xl.items-center
      div.circular--landscape
        img(src="../assets/professora.png").flex-1
      span.text-h6.text-center Como professor você poderá elaborar atividades e exercícios tendo tarefas domésticas como temática, podendo ganhar remuneração a cada postagem
      q-btn(color="secondary" text-color="white" glossy label="Professor(a)").q-my-xl
    div.column.flex-1.items-center
      div.circular--landscape
        img(src="../assets/familia.png").flex-1
      span.text-h6.text-center Como família você poderá dividir tarefas, executando-as de maneira educativa, podendo ganhar moedas digitais e competir com outras famílias
      q-btn(color="secondary" text-color="white" glossy label="Usuário" @click="selected = true").q-my-xl
  div(v-else).column.justify-center.items-center.full-width
    CamposCadastro
</template>

<script>
import { QInput } from 'quasar'
import CamposCadastro from '../components/CamposCadastro'

export default {
  name: 'CadastroGeral',
  components: {
    QInput,
    CamposCadastro
  },
  data () {
    return {
      selected: false
    }
  },
  methods: {
  }
}
</script>

<style lang="stylus" scoped>
.circular--landscape img {
  width: 100%;
  height: auto;
  // margin-left: -50px;
}
.circular--landscape
  display flex
.width-50
  width 50%

.circular--landscape img {
  width: 50%;
  height: auto;
  // margin-left: -50px;
}
</style>